package meerkat.voting.controller.selector;

/**
 * Created by hai on 02/05/16.
 */
public class SingleChosenAnswer {
    public int questionNumber;
    public long answerNumber;

    public SingleChosenAnswer(int questionNumber, long answerNumber) {
        this.questionNumber = questionNumber;
        this.answerNumber = answerNumber;
    }

    public String toString() {
        return "SingleChosenAnswer(" + questionNumber + ", " + answerNumber + ")";
    }

    public boolean equals (Object other) {
        if (!(other instanceof SingleChosenAnswer)) {
            return false;
        }
        SingleChosenAnswer o = (SingleChosenAnswer)other;
        return (o.questionNumber == this.questionNumber) && (o.answerNumber == this.answerNumber);
    }

    @Override
    public int hashCode () {
        return questionNumber*1000 + (int)answerNumber;
    }
}
