package meerkat.voting.ui.uicommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.ControllerCallback;

/**
 * Created by hai on 18/04/16.
 */
public class HaltCommand extends UICommand {

    private final UIElement errorMessage;

    public HaltCommand(UIElement errorMessage, ControllerCallback callback)
    {
        super(callback);
        this.errorMessage = errorMessage;
    }

    public UIElement getErrorMessage () {
        return this.errorMessage;
    }
}
