package meerkat.voting.controller.selector;

import meerkat.protobuf.Voting.*;

/**
 * Created by hai on 02/05/16.
 */
public abstract class QuestionSelector {

    protected Object selectionData;
    protected BallotQuestion[] allBallotQuestions;

    public QuestionSelector(Object selectionData, BallotQuestion[] allBallotQuestions) {
        this.selectionData = selectionData;
        this.allBallotQuestions = allBallotQuestions;
    }

    public abstract int getChannelIdentifier (BallotAnswer[] channelChoiceAnswers);
    public abstract BallotQuestion[] selectQuestionsForVoter (BallotAnswer[] channelChoiceAnswers);
}
