package meerkat.voting.ui.uicommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.ControllerCallback;

/**
 * Created by hai on 18/04/16.
 */
public class RaceVotingUICommand extends UICommand {

    private final BallotQuestion[] questions;

    public RaceVotingUICommand(BallotQuestion[] questions, ControllerCallback callback)
    {
        super(callback);
        this.questions = questions;
    }

    public BallotQuestion[] getQuestions () {
        return this.questions;
    }
}
